package com.yh.saas.platform.exception;

import lombok.Getter;

/**
 * 管理后台错误码
 *
 * @author SunTianjun
 */
public enum EnterpriseErrorCodeEnums {

    //公告模块-不是创建人不允许删除
    ANNOUNCEMENT_NOT_ISSUE_USER_ID("NOT_ANNOUNCEMENT_MAN", "你不是这条公告的创建人!"),


    //Excel模板
    EXCEL_TEMPLATE_NOT("EXCEL_TEMPLATE_NOT", "缺少公司主键或服务名称!"),

    //Excel 模板文件为空
    EXCEL_TEMPLATE_FILE_NOT("EXCEL_TEMPLATE_FILE_NOT", "缺少模板文件!"),

    //当前节点没有过滤部门的人儿
    WORKFLOW_DEPT_CANDIDATE_NULL("WORKFLOW_DEPT_CANDIDATE_NULL", "当前无部门内部人员审核可选!")

    ;

    @Getter
    private String value;

    @Getter
    private String desc;

    private EnterpriseErrorCodeEnums(String value, String desc) {
        this.value = value;
        this.desc = desc;
    }

    @Override
    public String toString() {
        return "[" + this.value + "]" + this.desc;
    }
}
